
module keim08core (
	altpll_areset_export,
	altpll_c1_clk,
	altpll_locked_export,
	clk_clk,
	emif_flash_tcm_reset_n_out,
	emif_sdram_sdram_cke,
	emif_sdram_sdram_cas_n,
	emif_dq,
	emif_sdram_sdram_we_n,
	emif_sdram_sdram_cs_n,
	emif_flash_tcm_chipselect_n_out,
	emif_addr,
	emif_sdram_sdram_ba,
	emif_sdram_sdram_dqm,
	emif_sdram_sdram_ras_n,
	emif_flash_tcm_write_n_out,
	emif_flash_tcm_read_n_out,
	pio_led_external_connection_export,
	reset_reset_n,
	uart_0_rxd,
	uart_0_txd);	

	input		altpll_areset_export;
	output		altpll_c1_clk;
	output		altpll_locked_export;
	input		clk_clk;
	output	[0:0]	emif_flash_tcm_reset_n_out;
	output	[0:0]	emif_sdram_sdram_cke;
	output	[0:0]	emif_sdram_sdram_cas_n;
	inout	[15:0]	emif_dq;
	output	[0:0]	emif_sdram_sdram_we_n;
	output	[0:0]	emif_sdram_sdram_cs_n;
	output	[0:0]	emif_flash_tcm_chipselect_n_out;
	output	[21:0]	emif_addr;
	output	[1:0]	emif_sdram_sdram_ba;
	output	[1:0]	emif_sdram_sdram_dqm;
	output	[0:0]	emif_sdram_sdram_ras_n;
	output	[0:0]	emif_flash_tcm_write_n_out;
	output	[0:0]	emif_flash_tcm_read_n_out;
	output	[1:0]	pio_led_external_connection_export;
	input		reset_reset_n;
	input		uart_0_rxd;
	output		uart_0_txd;
endmodule
