	component keim08core is
		port (
			altpll_areset_export               : in    std_logic                     := 'X';             -- export
			altpll_c1_clk                      : out   std_logic;                                        -- clk
			altpll_locked_export               : out   std_logic;                                        -- export
			clk_clk                            : in    std_logic                     := 'X';             -- clk
			emif_flash_tcm_reset_n_out         : out   std_logic_vector(0 downto 0);                     -- flash_tcm_reset_n_out
			emif_sdram_sdram_cke               : out   std_logic_vector(0 downto 0);                     -- sdram_sdram_cke
			emif_sdram_sdram_cas_n             : out   std_logic_vector(0 downto 0);                     -- sdram_sdram_cas_n
			emif_dq                            : inout std_logic_vector(15 downto 0) := (others => 'X'); -- dq
			emif_sdram_sdram_we_n              : out   std_logic_vector(0 downto 0);                     -- sdram_sdram_we_n
			emif_sdram_sdram_cs_n              : out   std_logic_vector(0 downto 0);                     -- sdram_sdram_cs_n
			emif_flash_tcm_chipselect_n_out    : out   std_logic_vector(0 downto 0);                     -- flash_tcm_chipselect_n_out
			emif_addr                          : out   std_logic_vector(21 downto 0);                    -- addr
			emif_sdram_sdram_ba                : out   std_logic_vector(1 downto 0);                     -- sdram_sdram_ba
			emif_sdram_sdram_dqm               : out   std_logic_vector(1 downto 0);                     -- sdram_sdram_dqm
			emif_sdram_sdram_ras_n             : out   std_logic_vector(0 downto 0);                     -- sdram_sdram_ras_n
			emif_flash_tcm_write_n_out         : out   std_logic_vector(0 downto 0);                     -- flash_tcm_write_n_out
			emif_flash_tcm_read_n_out          : out   std_logic_vector(0 downto 0);                     -- flash_tcm_read_n_out
			pio_led_external_connection_export : out   std_logic_vector(1 downto 0);                     -- export
			reset_reset_n                      : in    std_logic                     := 'X';             -- reset_n
			uart_0_rxd                         : in    std_logic                     := 'X';             -- rxd
			uart_0_txd                         : out   std_logic                                         -- txd
		);
	end component keim08core;

	u0 : component keim08core
		port map (
			altpll_areset_export               => CONNECTED_TO_altpll_areset_export,               --               altpll_areset.export
			altpll_c1_clk                      => CONNECTED_TO_altpll_c1_clk,                      --                   altpll_c1.clk
			altpll_locked_export               => CONNECTED_TO_altpll_locked_export,               --               altpll_locked.export
			clk_clk                            => CONNECTED_TO_clk_clk,                            --                         clk.clk
			emif_flash_tcm_reset_n_out         => CONNECTED_TO_emif_flash_tcm_reset_n_out,         --                        emif.flash_tcm_reset_n_out
			emif_sdram_sdram_cke               => CONNECTED_TO_emif_sdram_sdram_cke,               --                            .sdram_sdram_cke
			emif_sdram_sdram_cas_n             => CONNECTED_TO_emif_sdram_sdram_cas_n,             --                            .sdram_sdram_cas_n
			emif_dq                            => CONNECTED_TO_emif_dq,                            --                            .dq
			emif_sdram_sdram_we_n              => CONNECTED_TO_emif_sdram_sdram_we_n,              --                            .sdram_sdram_we_n
			emif_sdram_sdram_cs_n              => CONNECTED_TO_emif_sdram_sdram_cs_n,              --                            .sdram_sdram_cs_n
			emif_flash_tcm_chipselect_n_out    => CONNECTED_TO_emif_flash_tcm_chipselect_n_out,    --                            .flash_tcm_chipselect_n_out
			emif_addr                          => CONNECTED_TO_emif_addr,                          --                            .addr
			emif_sdram_sdram_ba                => CONNECTED_TO_emif_sdram_sdram_ba,                --                            .sdram_sdram_ba
			emif_sdram_sdram_dqm               => CONNECTED_TO_emif_sdram_sdram_dqm,               --                            .sdram_sdram_dqm
			emif_sdram_sdram_ras_n             => CONNECTED_TO_emif_sdram_sdram_ras_n,             --                            .sdram_sdram_ras_n
			emif_flash_tcm_write_n_out         => CONNECTED_TO_emif_flash_tcm_write_n_out,         --                            .flash_tcm_write_n_out
			emif_flash_tcm_read_n_out          => CONNECTED_TO_emif_flash_tcm_read_n_out,          --                            .flash_tcm_read_n_out
			pio_led_external_connection_export => CONNECTED_TO_pio_led_external_connection_export, -- pio_led_external_connection.export
			reset_reset_n                      => CONNECTED_TO_reset_reset_n,                      --                       reset.reset_n
			uart_0_rxd                         => CONNECTED_TO_uart_0_rxd,                         --                      uart_0.rxd
			uart_0_txd                         => CONNECTED_TO_uart_0_txd                          --                            .txd
		);

